> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Validate a sender using OTP

PUT https://api.brevo.com/v3/senders/{senderId}/validate
Content-Type: application/json

Validates a sender using the OTP (One-Time Password) received via email.

Use this to:
- Complete sender verification process
- Activate a newly created sender
- Verify ownership of the sender email address
- Enable the sender for use in email campaigns

Key information returned:
- Success confirmation of sender verification
- Sender activation status

Reference: https://developers.brevo.com/reference/validate-sender-by-otp

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `senderId` (long, required) — Id of the sender

### Body (application/json)

This endpoint expects an object.

- `otp` (integer, required) — 6 digit OTP received on email

## Response

### 204

Sender verified successfully

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 404 Not Found Error

Sender ID not found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

### Valid OTP for sender validation

**Request**

```json
{
  "otp": 123456
}
```

**SDK Code**

```typescript Valid OTP for sender validation
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.senders.validateSenderByOtp({
        senderId: 1,
        otp: 123456,
    });
}
main();

```

```python Valid OTP for sender validation
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.senders.validate_sender_by_otp(
    sender_id=1,
    otp=123456,
)

```

```php Valid OTP for sender validation
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Senders\Requests\ValidateSenderByOtpRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->senders->validateSenderByOtp(
    1,
    new ValidateSenderByOtpRequest([
        'otp' => 123456,
    ]),
);

```

```go Valid OTP for sender validation
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/senders/1/validate"

	payload := strings.NewReader("{\n  \"otp\": 123456\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Valid OTP for sender validation
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/senders/1/validate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"otp\": 123456\n}"

response = http.request(request)
puts response.read_body
```

```java Valid OTP for sender validation
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.brevo.com/v3/senders/1/validate")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"otp\": 123456\n}")
  .asString();
```

```csharp Valid OTP for sender validation
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/senders/1/validate");
var request = new RestRequest(Method.PUT);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"otp\": 123456\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Valid OTP for sender validation
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["otp": 123456] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/senders/1/validate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Another valid OTP example

**Request**

```json
{
  "otp": 789012
}
```

**SDK Code**

```typescript Another valid OTP example
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.senders.validateSenderByOtp({
        senderId: 1,
        otp: 789012,
    });
}
main();

```

```python Another valid OTP example
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.senders.validate_sender_by_otp(
    sender_id=1,
    otp=789012,
)

```

```php Another valid OTP example
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Senders\Requests\ValidateSenderByOtpRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->senders->validateSenderByOtp(
    1,
    new ValidateSenderByOtpRequest([
        'otp' => 789012,
    ]),
);

```

```go Another valid OTP example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/senders/1/validate"

	payload := strings.NewReader("{\n  \"otp\": 789012\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Another valid OTP example
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/senders/1/validate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"otp\": 789012\n}"

response = http.request(request)
puts response.read_body
```

```java Another valid OTP example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.brevo.com/v3/senders/1/validate")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"otp\": 789012\n}")
  .asString();
```

```csharp Another valid OTP example
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/senders/1/validate");
var request = new RestRequest(Method.PUT);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"otp\": 789012\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Another valid OTP example
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["otp": 789012] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/senders/1/validate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```